import request from '@/utils/request'

export function login(data) {
  return request({
    url: '/admin/admin/doLogin',
    method: 'get',
    params: data
  })
}

export function getInfo() {
  return request({
    url: '/admin/admin/doGetInfo',
    method: 'get'
  })
}

// 获得省份列表
export function getProvince() {
  return request({
    url: '/admin/areaCode/getProvince',
    method: 'get',
    params: {}
  })
}

// 获得城市列表
export function getCity(areaCodeId) {
  return request({
    url: '/admin/areaCode/getCity',
    method: 'get',
    params: {
      areaCodeId: areaCodeId
    }
  })
}

// 获得区县列表
export function getArea(areaCodeId) {
  return request({
    url: '/admin/areaCode/getArea',
    method: 'get',
    params: {
      areaCodeId: areaCodeId
    }
  })
}

// 获得街道列表
export function getStreet(areaCodeId) {
  return request({
    url: '/admin/areaCode/getStreet',
    method: 'get',
    params: {
      areaCodeId: areaCodeId
    }
  })
}

// 获得派出所列表
export function getPolice(areaCodeId) {
  return request({
    url: '/admin/policeStationCode/getList',
    method: 'get',
    params: {
      areaCodeId: areaCodeId
    }
  })
}

// 图片上传
export function pictureLocal(file) {
  return request({
    url: '/upload/pictureLocal',
    method: 'post',
    data: file
  })
}
// 上传文件
export function uploadOther(file) {
  return request({
    url: '/upload/other',
    method: 'post',
    data: file
  })
}

// ------------------人员管理——----------------
// 人员-新增
export function userInsert(data) {
  return request({
    url: '/admin/user/insert',
    method: 'post',
    data
  })
}

// 人员-修改
export function userUpdate(data) {
  return request({
    url: '/admin/user/update',
    method: 'post',
    data
  })
}
// 人员-列表分页
export function userGetPageList(data) {
  return request({
    url: '/admin/user/getPageList',
    method: 'post',
    data
  })
}
// 人员-删除
export function userdelete(userId) {
  return request({
    url: '/admin/user/delete',
    method: 'get',
    params:{userId}
  })
}
// 人员-变更列表
export function getChangePageList(data) {
  return request({
    url: '/admin/user/getChangePageList',
    method: 'post',
    data
  })
}
// 人员导入-单位使用
export function excelInput(data) {
  return request({
    url: '/admin/user/excelInput',
    method: 'post',
    data
  })
}
